package com.lightinit.hsdatashow.entity;

import java.math.BigDecimal;
import java.util.Date;

public class SocietyDevelop {
    private Long id;

    private Long regionId;

    private String category;

    private String engel;

    private String engelDegree;

    private String gini;

    private String giniDegree;

    private Double average;

    private BigDecimal value;

    private BigDecimal growth;

    private Integer dataYear;

    private String photo;

    private String icon;

    private String latitude;

    private String longitude;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category == null ? null : category.trim();
    }

    public String getEngel() {
        return engel;
    }

    public void setEngel(String engel) {
        this.engel = engel == null ? null : engel.trim();
    }

    public String getEngelDegree() {
        return engelDegree;
    }

    public void setEngelDegree(String engelDegree) {
        this.engelDegree = engelDegree == null ? null : engelDegree.trim();
    }

    public String getGini() {
        return gini;
    }

    public void setGini(String gini) {
        this.gini = gini == null ? null : gini.trim();
    }

    public String getGiniDegree() {
        return giniDegree;
    }

    public void setGiniDegree(String giniDegree) {
        this.giniDegree = giniDegree == null ? null : giniDegree.trim();
    }

    public Double getAverage() {
        return average;
    }

    public void setAverage(Double average) {
        this.average = average;
    }

    public BigDecimal getValue() {
        return value;
    }

    public void setValue(BigDecimal value) {
        this.value = value;
    }

    public BigDecimal getGrowth() {
        return growth;
    }

    public void setGrowth(BigDecimal growth) {
        this.growth = growth;
    }

    public Integer getDataYear() {
        return dataYear;
    }

    public void setDataYear(Integer dataYear) {
        this.dataYear = dataYear;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo == null ? null : photo.trim();
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon == null ? null : icon.trim();
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude == null ? null : latitude.trim();
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude == null ? null : longitude.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}